<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContractObject](./bitburner.codingcontractobject.md)

## CodingContractObject type


**Signature:**

```typescript
export type CodingContractObject = {
  [T in keyof CodingContractSignatures]: {
    type: T;
    data: CodingContractSignatures[T][0];
    submit: (answer: CodingContractSignatures[T][1] | string) => string;
    description: string;
    difficulty: number;
    numTriesRemaining: () => number;
  };
}[keyof CodingContractSignatures];
```
**References:** [CodingContractSignatures](./bitburner.codingcontractsignatures.md)

